CUT(1)

NAME
cut - select portions of each line of a file

SYNOPSIS
cut -b list [-n] [file ...]
cut -c list [file ...]
cut -f list [-d delim] [-s] [file ...]

DESCRIPTION
The cut utility selects portions of each line (as specified by list) from each file and writes them to the standard output. If the file argument is a single dash (‘-’) or no file arguments were specified, lines are read from the standard input. The items specified by list can be in terms of column position or in terms of fields delimited by a special character. Column numbering starts from 1.

List is a comma or whitespace separated set of increasing numbers and/or number ranges. Number ranges consist of a number, a dash (-), and a second number and select the fields or columns from the first number to the second, inclusive. Numbers or number ranges may be preceded by a dash, which selects all fields or columns from 1 to the first number. Numbers or number ranges may be followed by a dash, which selects all fields or columns from the last number to the end of the line. Numbers and number ranges may be repeated, overlapping, and in any order. It is not an error to select fields or columns not present in the input line.

The options are as follows:

-b list
    The list specifies byte positions.

-c list
    The list specifies character positions.

-d string
    Use the first character of string as the field delimiter character. The default is the <TAB> character.

-f list
    The list specifies fields, separated by the field delimiter character. The selected fields are output, separated by the field delimiter character.

-n  Do not split multi-byte characters.

-s  Suppresses lines with no field delimiter characters. Unless specified, lines with no delimiters are passed through unmodified.

EXIT STATUS
cut exits 0 on success, 1 if an error occurred.

SEE ALSO
paste(1)

STANDARDS
The cut utility conforms to p1003.2-92.